Bug 17426 - Mouse cursor graphic is corrupt
Mouse cursor graphic is corrupt
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Matt Wilson
Depends On:
  Show dependency treegraph
Reported: 2000-09-12 10:42 EDT by doctortintin
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-10-02 22:49:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description doctortintin 2000-09-12 10:42:58 EDT
I have installed 6.1 several times from the CD, choosing 'server' 
and 'workstation' (or is it single-user, I forget) and other options too.

On every install (even installing Xwindows separately) the graphic for the 
mouse cursor is corrupt, always appearing as a square bit-map, with random 
pixels shaded. Changing resolution, background, theme, GNOME to tvm, 
nothing makes any difference. The mouse works, movement, clicking, etc - 
you just have to remember to line up the top-left hand corner of the 
corrupt graphic to represent the end of the mouse point.

I tried experimenting with 'xfd -fn cursor' but didn't get any results I 
could understand. I also looked for font files .pcf .snf and .bdf in 
various fonts.dir directories. Again, I didn't really understand the 

Is this a known error? I have searched had for documentation, but found 

single PIII 500, 256MB, Intel Server M/B, Adaptec AIC-7896, SCSI HDD, on-
board Cirrus Logic GD5480 graphics.
Comment 1 Bill Nottingham 2000-09-12 17:44:32 EDT
Try adding a:

 Option "sw_cursor"


 Option "hw_cursor"

to the 'Device' section of your /etc/X11/XF86Config file.

Does that help?
Comment 2 doctortintin 2000-10-02 07:01:04 EDT
(Sorry I took so long to try your idea!)
But no, neither change to the XF86Config file made any difference. Any other 
configuration changes you can suggest?
Comment 3 Matt Wilson 2000-10-02 22:49:04 EDT
Try the XFree86 4.0.1 server in Red Hat Linux 7?

Note You need to log in before you can comment on or make changes to this bug.